description

# IOException class Null safety

Base class for all IO related exceptions.

Implemented types
  - Exception
Implementers
  - FileSystemException
  - HttpException
  - ProcessException
  - SignalException
  - SocketException
  - StdinException
  - StdoutException
  - TlsException
  - WebSocketException

## Constructors

IOException()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited